VIPS(1)

NAME
vips - run vips operations from the command line

SYNOPSIS
vips [options] [command] [command-options] [command-args]

DESCRIPTION
vips(1) is the VIPS universal main program. You can use it to run any VIPS operation from the command line, to query the VIPS function database, and to maintain parts of the VIPS library.

To run a VIPS function, the first argument should be the name of the function and following arguments should be the function parameters. For example:

  $ vips im_invert lena.v lena2.v

OPTIONS

-p PLUGIN, --plugin=PLUGIN
    Load PLUGIN. Note that plugins in $VIPSHOME/lib are loaded automatically.

-v, --version
    Show VIPS version.

COMMANDS

list PACKAGE
    List operations defined in PACKAGE. PACKAGE can also be "classes", "packages" or "all".

cpph PACKAGE
    Print C++ header for PACKAGE. PACKAGE can also be a function name, or "all".

cppc PACKAGE
    Print C++ binding for PACKAGE. PACKAGE can also be a function name, or "all".

operation-name operation-arguments
    Execute a named operation, for example im_invert, or add. Names prefixed with "im_" are called via the vips7 interface, names without the prefix use the new vips8 interface.

EXAMPLES

Run a vips7 operation. The vips7 interface does not suport optional arguments.

  $ vips im_invert lena.v lena2.v

Run a vips8 operation. Operation options must follow the operation name.

  $ vips add --imtest=option.jpg lena.v lena2.v out.v

Get a "usage" message for an operation

  $ vips add
  usage:
     add left right out
     add two images
  where:
     left - Left-hand image argument, input VipsImage
     right - Right-hand image argument, input VipsImage
     out - Output image, output VipsImage
  operation flags: sequential-unbuffered
  add: too few arguments

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1)

COPYRIGHT
The National Gallery and Birkbeck College, 1989-1996.